#include <bits/stdc++.h>
using namespace std;

int main()
{
    int n, k, x, c, c1;
    vector <int> v(n);
    cin >> n >> k >> x; c1=c;
    for (int i=0; i<n; i++)
    {
        cin >> v[i];
    }
    for (int i=0; i<n-k; i++)
    {
        int ans=0;
        for (int j=i; j<n; j++)
        {
            ans=ans+c*v[j];
            if (c < x)
                c++;
        }
        cout << ans << endl;
    }
}